ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ZenLib::BitStream_Fast Class Reference

`#include <BitStream_Fast.h>`

## Public Member Functions
| BitStream_Fast ()
| BitStream_Fast (const int8u *Buffer_, size_t Size_)
| ~BitStream_Fast ()
void | Attach (const int8u *Buffer_, size_t Size_)
bool | GetB ()
int8u | Get1 (int8u HowMany)
int16u | Get2 (int8u HowMany)
int32u | Get4 (int8u HowMany)
int64u | Get8 (int8u HowMany)
void | Skip (size_t HowMany)
bool | PeekB ()
int8u | Peek1 (int8u HowMany)
int16u | Peek2 (int8u HowMany)
int32u | Peek4 (int8u HowMany)
int64u | Peek8 (int8u HowMany)
size_t | Remain () const
void | Byte_Align ()
size_t | Offset_Get () const
size_t | BitOffset_Get () const
size_t | OffsetBeforeLastCall_Get () const

## Public Attributes
bool | BufferUnderRun

## Constructor & Destructor Documentation

ZenLib::BitStream_Fast::BitStream_Fast | ( |  | ) |
| inline

References BufferUnderRun, and NULL.

ZenLib::BitStream_Fast::BitStream_Fast | ( | const int8u * | Buffer_,
|  | size_t | Size_
| ) |  |
| inline

References BufferUnderRun.

ZenLib::BitStream_Fast::~BitStream_Fast | ( |  | ) |
| inline

## Member Function Documentation

void ZenLib::BitStream_Fast::Attach | ( | const int8u * | Buffer_,
|  | size_t | Size_
| ) |  |
| inline

References BufferUnderRun.

size_t ZenLib::BitStream_Fast::BitOffset_Get | ( |  | ) | const
| inline

void ZenLib::BitStream_Fast::Byte_Align | ( |  | ) |
| inline

References Skip().

int8u ZenLib::BitStream_Fast::Get1 | ( | int8u | HowMany | ) |
| inline

References BufferUnderRun.

int16u ZenLib::BitStream_Fast::Get2 | ( | int8u | HowMany | ) |
| inline

References BufferUnderRun.

int32u ZenLib::BitStream_Fast::Get4 | ( | int8u | HowMany | ) |
| inline

References BufferUnderRun.

Referenced by Get8().

int64u ZenLib::BitStream_Fast::Get8 | ( | int8u | HowMany | ) |
| inline

References BufferUnderRun, and Get4().

bool ZenLib::BitStream_Fast::GetB | ( |  | ) |
| inline

References BufferUnderRun.

size_t ZenLib::BitStream_Fast::Offset_Get | ( |  | ) | const
| inline

size_t ZenLib::BitStream_Fast::OffsetBeforeLastCall_Get | ( |  | ) | const
| inline

int8u ZenLib::BitStream_Fast::Peek1 | ( | int8u | HowMany | ) |
| inline

References BufferUnderRun.

int16u ZenLib::BitStream_Fast::Peek2 | ( | int8u | HowMany | ) |
| inline

References BufferUnderRun.

int32u ZenLib::BitStream_Fast::Peek4 | ( | int8u | HowMany | ) |
| inline

References BufferUnderRun.

Referenced by Peek8().

int64u ZenLib::BitStream_Fast::Peek8 | ( | int8u | HowMany | ) |
| inline

References Peek4().

bool ZenLib::BitStream_Fast::PeekB | ( |  | ) |
| inline

References BufferUnderRun.

size_t ZenLib::BitStream_Fast::Remain | ( |  | ) | const
| inline

void ZenLib::BitStream_Fast::Skip | ( | size_t | HowMany | ) |
| inline

References BufferUnderRun.

Referenced by Byte_Align().

## Member Data Documentation

bool ZenLib::BitStream_Fast::BufferUnderRun

Referenced by Attach(), BitStream_Fast(), Get1(), Get2(), Get4(), Get8(), GetB(), Peek1(), Peek2(), Peek4(), PeekB(), and Skip().

The documentation for this class was generated from the following file:

- BitStream_Fast.h